package com.gic.haoban.manage.service.config;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * Created by tgs on 2020/2/23.
 */
@Configuration
@EnableApolloConfig
public class Config {
    @Value("${corpid}")
    private String corpid;
    @Value("${host}")
    private String host;
    @Value("${wxSuiteid}")
    private String wxSuiteid;
    @Value("${appid}")
    private String appid;
    @Value("${memberOpenPage}")
    private String memberOpenPage;
    @Value("${historyMbrMassOperWhiteList}")
    private String historyMbrMassOperWhiteList;
    @Value("${hm_link_url}")
    private String hmLinkUrl;
    @Value("${qywx_hbzs_suite}")
    private String qywxHbzsSuite;
    @Value("${addDelFriendEvent}")
    private String addDelFriendEvent;

    @Value("${buyerUserid}")
    private String buyerUserid;
    /**
     * 企业微信许可账号购买信息
     */
    @Value("${accountName}")
    private String accountName;
    @Value("${accountNumber}")
    private String accountNumber;
    @Value("${bankName}")
    private String bankName;

    @Value("${dingUrl}")
    private String dingUrl;

    /**
     * 企业微信付费应用购买信息
     */
    @Value("${qywxCashierSecret}")
    private String qywxCashierSecret;
    @Value("${promotionCaseId}")
    private String promotionCaseId;
    @Value("${promotionCaseName}")
    private String promotionCaseName;
    @Value("${buySuiteId}")
    private String buySuiteId;
    @Value("${suiteid}")
    private String suiteid;

    public String getSuiteid() {
        return suiteid;
    }

    public void setSuiteid(String suiteid) {
        this.suiteid = suiteid;
    }

    public String getBuySuiteId() {
        return buySuiteId;
    }

    public void setBuySuiteId(String buySuiteId) {
        this.buySuiteId = buySuiteId;
    }

    public String getQywxCashierSecret() {
        return qywxCashierSecret;
    }

    public void setQywxCashierSecret(String qywxCashierSecret) {
        this.qywxCashierSecret = qywxCashierSecret;
    }

    public String getPromotionCaseId() {
        return promotionCaseId;
    }

    public void setPromotionCaseId(String promotionCaseId) {
        this.promotionCaseId = promotionCaseId;
    }

    public String getPromotionCaseName() {
        return promotionCaseName;
    }

    public void setPromotionCaseName(String promotionCaseName) {
        this.promotionCaseName = promotionCaseName;
    }

    public String getDingUrl() {
        return dingUrl;
    }

    public void setDingUrl(String dingUrl) {
        this.dingUrl = dingUrl;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBuyerUserid() {
        return buyerUserid;
    }

    public void setBuyerUserid(String buyerUserid) {
        this.buyerUserid = buyerUserid;
    }

    public String getHmLinkUrl() {
        return hmLinkUrl;
    }

    public void setHmLinkUrl(String hmLinkUrl) {
        this.hmLinkUrl = hmLinkUrl;
    }

    public String getMemberOpenPage() {
        return memberOpenPage;
    }

    public void setMemberOpenPage(String memberOpenPage) {
        this.memberOpenPage = memberOpenPage;
    }

    public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getWxSuiteid() {
        return wxSuiteid;
    }

    public void setWxSuiteid(String wxSuiteid) {
        this.wxSuiteid = wxSuiteid;
    }

    public String getHistoryMbrMassOperWhiteList() {
        return historyMbrMassOperWhiteList;
    }

    public void setHistoryMbrMassOperWhiteList(String historyMbrMassOperWhiteList) {
        this.historyMbrMassOperWhiteList = historyMbrMassOperWhiteList;
    }

    public String getQywxHbzsSuite() {
        return qywxHbzsSuite;
    }

    public void setQywxHbzsSuite(String qywxHbzsSuite) {
        this.qywxHbzsSuite = qywxHbzsSuite;
    }

    public String getAddDelFriendEvent() {
        return addDelFriendEvent;
    }

    public void setAddDelFriendEvent(String addDelFriendEvent) {
        this.addDelFriendEvent = addDelFriendEvent;
    }
}
